// Copyright (C) 2006 Seb_le_Ouf&Snake.
/*  
      This program is free software; you can redistribute it and/or modify
      it under the terms of the GNU General Public License as published by
      the Free Software Foundation; either version 2 of the License, or
      (at your option) any later version.
   
      This program is distributed in the hope that it will be useful,
      but WITHOUT ANY WARRANTY; without even the implied warranty of
      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
      GNU General Public License for more details.
   
      You should have received a copy of the GNU General Public License
      along with this program; if not, write to the Free Software
      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
      
 */


#ifndef __LOADPPM_H
#define __LOADPPM_H

#include <iostream>
#include <fstream>
#include <cmath>

using namespace std;

class PPMImage {
public:
  int sizeX, sizeY;
  char *data;
  PPMImage(const char* filename);
  ~PPMImage(){
    if (data)
      delete [] data;
  }
};

struct textureImage
{
    int width;
    int height;
    unsigned char *data;
};



extern int loadBMP(char *filename, textureImage *texture);


#endif
