// Copyright (C) 2006 Seb_le_Ouf&Snake.
/*  
      This program is free software; you can redistribute it and/or modify
      it under the terms of the GNU General Public License as published by
      the Free Software Foundation; either version 2 of the License, or
      (at your option) any later version.
   
      This program is distributed in the hope that it will be useful,
      but WITHOUT ANY WARRANTY; without even the implied warranty of
      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
      GNU General Public License for more details.
   
      You should have received a copy of the GNU General Public License
      along with this program; if not, write to the Free Software
      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
      
 */


#ifndef _ANIMATION_H_
#define _ANIMATION_H_

#include <ctime>


#include <motor/real_obj.hh>
#include <motor/particle.hh>
#include <motor/sarme.hh>

#ifndef FRAG_EXPL
	#define FRAG_EXPL 150
#endif

// Here you can describe your animation type
		
class Animation
{
	protected:
		SArme* pGun;
	public:
		Animation();
		Animation(SArme*);
		virtual ~Animation();
		
		virtual void activate() = 0;
		virtual SArme* display() = 0;
};



class AnimGrenHUD
{
	//static void animate(SArme*);
};

class AnimGrenScene : public Animation
{
	private:
		bool 		explosed;
		Particule* 	parts;
		time_t 		start;
		
	public:
		AnimGrenScene();
		AnimGrenScene(SArme*);
		~AnimGrenScene();
		
		// Inherited methods
		
		void activate();
		SArme* display();
};



class AnimBrownHUD
{
	//static void animate(SArme*);
};

class AnimBrownScene
{
	//static void animate(SArme*);
};


#endif // _ANIMATION_H_
