// Copyright (C) 2006 Seb_le_Ouf&Snake.
/*  
      This program is free software; you can redistribute it and/or modify
      it under the terms of the GNU General Public License as published by
      the Free Software Foundation; either version 2 of the License, or
      (at your option) any later version.
   
      This program is distributed in the hope that it will be useful,
      but WITHOUT ANY WARRANTY; without even the implied warranty of
      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
      GNU General Public License for more details.
   
      You should have received a copy of the GNU General Public License
      along with this program; if not, write to the Free Software
      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
      
 */



#ifndef _CLIENT_H
#define _CLIENT_H

/* Network includes */
#ifdef WIN32
#include <winsock2.h>
#else
#include <sys/socket.h>
#include <netdb.h>
#include <arpa/inet.h>
#endif

enum PAQUET_TYPE
{
	CONNECT_ASK=0,
	CONNECT_YES=1,     
	CONNECT_NO=2,                  
	NEW_PERSO=3,
	MOVE=4,
	TOUCHED=5,
	FIRE=6,
	KILLED=7,
	DISCONNECT=8
};

void* Client_Reseau(void* list)
{
	cout<<"create_thread"<<endl;
	int lg_adresse_client, longueur_adresse;
	int sock;
	int nouvelle;
  
#ifdef WIN32
	WSADATA WSAData;
	WSAStartup(MAKEWORD(2,0), &WSAData);
#endif

	struct hostent* hote;
	char tmp_test[128];

	gethostname(tmp_test,sizeof(char)*128);

	cout<<"name= "<<tmp_test<<endl;
	hote=gethostbyname(tmp_test);

	for(int j(0);hote->h_addr_list[j]!=NULL;j++)
		cout<<" hote :"<<inet_ntoa( *((struct in_addr*)(hote->h_addr_list[j])))<<endl;

	struct sockaddr_in adresse;

	memset(&adresse,0,sizeof(struct sockaddr_in));
		
	adresse.sin_addr.s_addr	= inet_addr("10.0.0.3");
	adresse.sin_family	= AF_INET;
	adresse.sin_port	= htons(10000);

	sock = socket (AF_INET, SOCK_STREAM, 0);
	if (sock < 0)
	{
		perror ("socket");
      		pthread_exit(NULL);
	}
	if( connect(sock,(struct sockaddr*) &adresse,sizeof(struct sockaddr_in))<0)
	{
    		perror("connect");
		pthread_exit(NULL);
	}
	
	PAQUET_TYPE ty(CONNECT_ASK);
	int ret=write(sock,&ty,sizeof(PAQUET_TYPE));
	cout<<"ret = "<<ret<<endl;
	float tmp(0.);
	ret=write(sock,&ty,sizeof(PAQUET_TYPE));
	read(sock,&ty,sizeof(PAQUET_TYPE));
	cout<<"recu ="<<ty<<endl;
	if(ty==CONNECT_YES)
	{
		cout<<"CONNECT_YES"<<endl;
		read(sock,&tmp,sizeof(float));
		cout<<"tmp= "<<tmp<<endl;
		ty=KILLED;
		write(sock,&ty,sizeof(PAQUET_TYPE));
	}
    
	if( close(sock) ==-1 )
		perror("close");

	pthread_exit(NULL);
	return NULL;
}



#endif
