// Copyright (C) 2006 Seb_le_Ouf&Snake.
/*  
      This program is free software; you can redistribute it and/or modify
      it under the terms of the GNU General Public License as published by
      the Free Software Foundation; either version 2 of the License, or
      (at your option) any later version.
   
      This program is distributed in the hope that it will be useful,
      but WITHOUT ANY WARRANTY; without even the implied warranty of
      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
      GNU General Public License for more details.
   
      You should have received a copy of the GNU General Public License
      along with this program; if not, write to the Free Software
      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
      
 */


#ifndef __ART__INT__H__
#define __ART__INT__H__

#include <algebra.h>
#include <motor/real_obj.hh>

using namespace std;



// Def. classe AI de base (bete et mchant !!)
// But: opposition de tous les ennemis face  l'ordinateur
// Approche: les ennemis attaquent en avanant du joueur, sans toutefois approcher de trop prs
// Prise de dcision sur:         
//				- collision ==> changement de trajectoire
//				- tir de l'ennemi (perte de vie)
//				-  "vue" ( venir)


class AI
{
	protected:
		bool first_action;
		unsigned cadence;
		SEntity** obj;
	
	public:
		AI();
		AI(SEntity**);
		~AI();
		
		void init(const vR3& speed);
		inline void takeDecision(const vR3& speed, bool param)
        {// Prend une dcision si interaction avec objet != sol (murs, objets dcors ...)
	         if(param)
		         init(speed);
              else
              	(*obj)->setV0(speed);
               	// Don't forget to up the interaction Object !!
        }

        
        void shootEnemy(const vR3&);
};


#endif // __ART__INT__H__
