// Copyright (C) 2006 Seb_le_Ouf&Snake.
/*  
      This program is free software; you can redistribute it and/or modify
      it under the terms of the GNU General Public License as published by
      the Free Software Foundation; either version 2 of the License, or
      (at your option) any later version.
   
      This program is distributed in the hope that it will be useful,
      but WITHOUT ANY WARRANTY; without even the implied warranty of
      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
      GNU General Public License for more details.
   
      You should have received a copy of the GNU General Public License
      along with this program; if not, write to the Free Software
      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
      
 */


#ifndef __SUPPORT__H__
#define __SUPPORT__H__

#include <iostream>
#include <stdlib.h>
#include <GL/gl.h>
#include <list>

#include <algebra.h>

using namespace std;
using namespace mCG;


/* --- Classes inclusions. Need to be separated from object & plane classes --- */

class SPlan;
class SObject;

class SSupport
{
	public:
		SPlan *sPlan;
		SObject **sObj;
	
		SSupport();
		SSupport(SPlan&);
		SSupport(const SPlan& _p);
		SSupport(SObject **);
		
		~SSupport();
		
		vR3 getDirection() const;
		//vR3 getSens() const;
		
		void setPlan(SPlan&);
		void setObject(SObject **);
};

#endif /* __SUPPORT__H__ */
