// Copyright (C) 2006 Seb_le_Ouf&Snake.
/*  
      This program is free software; you can redistribute it and/or modify
      it under the terms of the GNU General Public License as published by
      the Free Software Foundation; either version 2 of the License, or
      (at your option) any later version.
   
      This program is distributed in the hope that it will be useful,
      but WITHOUT ANY WARRANTY; without even the implied warranty of
      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
      GNU General Public License for more details.
   
      You should have received a copy of the GNU General Public License
      along with this program; if not, write to the Free Software
      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
      
 */


#include <motor/ai.hh>

///// Defi. mthodes classe AI

AI::AI() : cadence(0), first_action(true)
{
	static unsigned int seed = time(NULL);
	obj 	= NULL;
	
	srandom(seed);
}

AI::AI(SEntity** _o) : cadence(0), first_action(true)
{
	obj 	= _o;
}

AI::~AI()
{
	obj 	= NULL;
}

void AI::init(const vR3& speed)
{
	// random to now the direction
	
	vR3 res(0., 0., 0.);
	
	if(speed.x < 0.0001)
		res.x = 12.;
	else
		res.x = -12.;
	if(speed.z < 0.0001)
		res.z = 4.;
	else
		res.z = -4.;
	
	(*obj)->setV0(res);
}


void AI::shootEnemy(const vR3& direction)
{
	// Temporary to see what's doing here
	cout << "Shoot: " << direction.x << ", " << direction.y << ", " << direction.z << endl; 
}


