// Copyright (C) 2006 Seb_le_Ouf&Snake.
/*  
      This program is free software; you can redistribute it and/or modify
      it under the terms of the GNU General Public License as published by
      the Free Software Foundation; either version 2 of the License, or
      (at your option) any later version.
   
      This program is distributed in the hope that it will be useful,
      but WITHOUT ANY WARRANTY; without even the implied warranty of
      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
      GNU General Public License for more details.
   
      You should have received a copy of the GNU General Public License
      along with this program; if not, write to the Free Software
      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
      
 */



#include <motor/support.hh>
#include <motor/objet.hh>

using namespace std;
using namespace mCG;


/* -------------------- Class Support Methods -------------------- */	
	
SSupport::SSupport() 
{
	sPlan = NULL;
	sObj  = NULL;
}

SSupport::SSupport(SPlan& _plane) : sPlan(&_plane)
{
	sObj = NULL;
}

SSupport::SSupport(const SPlan& _plane) 
{
	sPlan = new SPlan(_plane);
	sObj = NULL;
}

SSupport::SSupport(SObject ** _obj) : sObj(_obj)
{
	sPlan = NULL;
}

SSupport::~SSupport()
{
	sPlan = NULL;
	sObj  = NULL;
}

vR3 SSupport::getDirection() const
{
	if(sPlan)
		return sPlan->getNormal();
	if(sObj && *sObj)
		return vR3();
	else
		return vR3();
}
/*
vR3 SSupport::getSens() const
{
	if(sPlan)
		return sPlan->getDirection();
	if(sObj && *sObj)
		return vR3();
	else
		return vR3();
}*/
	
void SSupport::setPlan(SPlan& _plane)
{
	sPlan = &_plane;
}

void SSupport::setObject(SObject **_obj)
{
	sObj = _obj;
}
